Bug 467405 - (mingw32-libxml2) Review Request: mingw32-libxml2 - MinGW Windows libxml2 XML processing library
Review Request: mingw32-libxml2 - MinGW Windows libxml2 XML processing library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On: 454410 454416 mingw32-gettext
Blocks: mingw32-fontconfig mingw32-cairo mingw32-libvirt mingw32-gstreamer
  Show dependency treegraph
 
Reported: 2008-10-17 07:04 EDT by Richard W.M. Jones
Modified: 2009-03-20 09:43 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-29 18:02:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tla: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Levente Farkas 2008-11-10 12:14:24 EST
please apply this patch to be able to build on epel too:

--- mingw32-libxml2.spec.lfarkas	2008-11-10 18:03:16.000000000 +0100
+++ mingw32-libxml2.spec	2008-11-10 18:06:52.000000000 +0100
@@ -40,6 +40,9 @@
 
 
 %build
+%if 0%{?fedora} < 9
+autoreconf
+%endif
 LDFLAGS="-no-undefined" %{_mingw32_configure} --without-python --with-modules
 make
Comment 2 Levente Farkas 2008-11-10 12:24:01 EST
at the same time in the files section this two lines:
-------------------------------------------
%{_mingw32_libdir}/pkgconfig
%{_mingw32_libdir}/pkgconfig/libxml-2.0.pc
-------------------------------------------
should have to change to
-------------------------------------------
%{_mingw32_libdir}/pkgconfig/
%{_mingw32_libdir}/pkgconfig/libxml-2.0.pc
-------------------------------------------
or imho better to delete the second line:
-------------------------------------------
%{_mingw32_libdir}/pkgconfig
-------------------------------------------
Comment 3 Levente Farkas 2008-11-10 12:38:33 EST
and may be add an aclocal before the autoreconf would be useful to so the correct patch see bellow

and the reason for rerun autoconf is that rhel/centos has older autoconf and automake and the auto generated file was generated by newer tools, but with this patch it can be compiled on rhel/centos without need for newer auto* packages.

--- mingw32-libxml2.spec.lfarkas	2008-11-10 18:03:16.000000000 +0100
+++ mingw32-libxml2.spec	2008-11-10 18:35:10.000000000 +0100
@@ -40,6 +40,10 @@
 
 
 %build
+%if 0%{?fedora} < 9
+aclocal
+autoreconf
+%endif
 LDFLAGS="-no-undefined" %{_mingw32_configure} --without-python --with-modules
 make
Comment 4 Richard W.M. Jones 2008-11-10 12:44:19 EST
Levente, I'll bear these changes in mind when we actually
add this package.  It doesn't affect the Fedora review.
Comment 5 Daniel Berrange 2008-11-10 14:42:46 EST
The comments from #2/#3 don't make any sense. The RPM specfile for libxml isn't making any changes to any Makefile.am or configure.in files, so running autoreconf serves no purpose. It does not matter whether the version of autotools the configure script was generated with is newer than that on the host OS, because when compiling a package the generated 'configure' and "Makefile" scripts are purposely self-contained at runtime.
Comment 6 Levente Farkas 2008-11-10 16:41:57 EST
for #2 the reason is this error message during rpmbuild:
-----------------------------------------------
RPM build errors:
    File listed twice: /usr/i686-pc-mingw32/sys-root/mingw/lib/pkgconfig/libxml-2.0.pc
-----------------------------------------------
i hope this makes cleaner.

for #3 without the autoreconf rpmbuild gives the error bellow. while with the above patch don't (anyway i'm not a gnu build system so if you know a better solution i welcome):
-----------------------------------------------
Done configuring
+ make
cd . && /bin/sh /home/lfarkas/rpm/BUILD/libxml2-2.7.2/missing --run aclocal-1.10 
/home/lfarkas/rpm/BUILD/libxml2-2.7.2/missing: line 46: aclocal-1.10: command not found
WARNING: `aclocal-1.10' is missing on your system.  You should only need it if
         you modified `acinclude.m4' or `configure.in'.  You might want
         to install the `Automake' and `Perl' packages.  Grab them from
         any GNU archive site.
 cd . && /bin/sh /home/lfarkas/rpm/BUILD/libxml2-2.7.2/missing --run automake-1.10 --gnu 
/home/lfarkas/rpm/BUILD/libxml2-2.7.2/missing: line 46: automake-1.10: command not found
WARNING: `automake-1.10' is missing on your system.  You should only need it if
         you modified `Makefile.am', `acinclude.m4' or `configure.in'.
         You might want to install the `Automake' and `Perl' packages.
         Grab them from any GNU archive site.
cd . && /bin/sh /home/lfarkas/rpm/BUILD/libxml2-2.7.2/missing --run autoconf
aclocal.m4:20: warning: this file was generated for autoconf 2.61.
You have another version of autoconf.  It may work, but is not guaranteed to.
If you have problems, you may need to regenerate the build system entirely.
To do so, use the procedure documented by the package, typically `autoreconf'.
configure.in:41: error: Autoconf version 2.60 or higher is required
aclocal.m4:7055: AM_INIT_AUTOMAKE is expanded from...
configure.in:41: the top level
autom4te: /usr/bin/m4 failed with exit status: 63
make: *** [configure] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.47244 (%build)
-----------------------------------------------
Comment 7 Richard W.M. Jones 2008-11-11 05:31:24 EST
I have seen this sort of error before, but I'm not sure why it happens.

I've just checked the libxml2-2.7.2.tar.gz tarball that we are using and
the timestamps are correct - ie. aclocal.m4 is present with timestamp
later than configure.in, so I see no reason why the build process should
be trying to remake it.

The timestamps on other files look fine too.

Anyway, I still think we should leave this until we come to packaging
for EPEL (as I said in comment 4 above).  This is irrelevant to the Fedora
review request.
Comment 9 Erik van Pienbroek 2009-01-23 13:04:24 EST
This package doesn't compile anymore on Rawhide (due to the new libtool):

Making all in .
make[2]: Entering directory `/home/erik/rpmbuild/BUILD/libxml2-2.7.2'
/bin/sh ./libtool --tag=CC   --mode=compile i686-pc-mingw32-gcc -DHAVE_CONFIG_H -I. -I./include -I./include  -DHAVE_WIN32_THREADS -D_REENTRANT    -DWIN32  -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions --param=ssp-buffer-size=4 -mms-bitfields -pedantic -W -Wformat -Wunused -Wimplicit -Wreturn-type -Wswitch -Wcomment -Wtrigraphs -Wformat -Wchar-subscripts -Wuninitialized -Wparentheses -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wredundant-decls -MT SAX.lo -MD -MP -MF .deps/SAX.Tpo -c -o SAX.lo SAX.c
./libtool: line 840: X--tag=CC: command not found
./libtool: line 873: libtool: ignoring unknown tag : command not found
./libtool: line 840: X--mode=compile: command not found
./libtool: line 1007: *** Warning: inferring the mode of operation is deprecated.: command not found
./libtool: line 1008: *** Future versions of Libtool will require --mode=MODE be specified.: command not found
./libtool: line 1151: Xi686-pc-mingw32-gcc: command not found
./libtool: line 1151: X-DHAVE_CONFIG_H: command not found
./libtool: line 1151: X-I.: command not found
./libtool: line 1151: X-I./include: No such file or directory
./libtool: line 1151: X-I./include: No such file or directory
./libtool: line 1151: X-DHAVE_WIN32_THREADS: command not found
./libtool: line 1151: X-D_REENTRANT: command not found
./libtool: line 1151: X-DWIN32: command not found
./libtool: line 1151: X-O2: command not found
./libtool: line 1151: X-g: command not found
./libtool: line 1151: X-pipe: command not found
./libtool: line 1151: X-Wall: command not found
./libtool: line 1151: X-Wp,-D_FORTIFY_SOURCE=2: command not found
./libtool: line 1151: X-fexceptions: command not found
./libtool: line 1151: X--param=ssp-buffer-size=4: command not found
./libtool: line 1151: X-mms-bitfields: command not found
./libtool: line 1151: X-pedantic: command not found
./libtool: line 1151: X-W: command not found
./libtool: line 1151: X-Wformat: command not found
./libtool: line 1151: X-Wunused: command not found
./libtool: line 1151: X-Wimplicit: command not found
./libtool: line 1151: X-Wreturn-type: command not found
./libtool: line 1151: X-Wswitch: command not found
./libtool: line 1151: X-Wcomment: command not found
./libtool: line 1151: X-Wtrigraphs: command not found
./libtool: line 1151: X-Wformat: command not found
./libtool: line 1151: X-Wchar-subscripts: command not found
./libtool: line 1151: X-Wuninitialized: command not found
./libtool: line 1151: X-Wparentheses: command not found
./libtool: line 1151: X-Wshadow: command not found
./libtool: line 1151: X-Wpointer-arith: command not found
./libtool: line 1151: X-Wcast-align: command not found
./libtool: line 1151: X-Wwrite-strings: command not found
./libtool: line 1151: X-Waggregate-return: command not found
./libtool: line 1151: X-Wstrict-prototypes: command not found
./libtool: line 1151: X-Wmissing-prototypes: command not found
./libtool: line 1151: X-Wnested-externs: command not found
./libtool: line 1151: X-Winline: command not found
./libtool: line 1151: X-Wredundant-decls: command not found
./libtool: line 1151: X-MT: command not found
./libtool: line 1151: XSAX.lo: command not found
./libtool: line 1151: X-MD: command not found
./libtool: line 1151: X-MP: command not found
./libtool: line 1151: X-MF: command not found
./libtool: line 1151: X.deps/SAX.Tpo: No such file or directory
./libtool: line 1151: X-c: command not found
./libtool: line 1203: XSAX.lo: command not found
./libtool: line 1208: libtool: compile: cannot determine name of library object from `': command not found
make[2]: *** [SAX.lo] Error 1
make[2]: Leaving directory `/home/erik/rpmbuild/BUILD/libxml2-2.7.2'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/erik/rpmbuild/BUILD/libxml2-2.7.2'
make: *** [all] Error 2

This patch should solve this:
--- mingw32-libxml2.spec.orig	2009-01-23 18:47:48.973046793 +0100
+++ mingw32-libxml2.spec	2009-01-23 18:55:02.146767159 +0100
@@ -28,7 +28,9 @@
 BuildRequires:  mingw32-binutils
 BuildRequires:  mingw32-zlib
 BuildRequires:  mingw32-gettext
-
+BuildRequires:  autoconf
+BuildRequires:  automake
+BuildRequires:  libtool
 
 %description
 MinGW Windows libxml2 XML processing library.
@@ -37,7 +39,8 @@
 %prep
 %setup -q -n libxml2-%{version}
 %patch1000 -p1
-
+autoreconf
+libtoolize
 
 %build
 LDFLAGS="-no-undefined" %{_mingw32_configure} --without-python --with-modules
Comment 10 Richard W.M. Jones 2009-01-23 14:21:48 EST
Thanks for looking at this Erik.  I'm just now rebuilding the
entire package set against Rawhide and will fix the bugs along
the way.  I'll post here when I have new packages which work.
Comment 11 Richard W.M. Jones 2009-01-25 08:22:22 EST
Spec URL: http://hg.et.redhat.com/cgi-bin/hg-misc.cgi/fedora-mingw--devel/raw-file/tip/libxml2/mingw32-libxml2.spec
SRPM URL: http://www.annexia.org/tmp/mingw/fedora-rawhide/src/SRPMS/mingw32-libxml2-2.7.2-5.fc11.src.rpm

* Fri Jan 23 2009 Richard W.M. Jones <rjones@redhat.com> - 2.7.2-5
- Use _smp_mflags.
- Disable static libraries.
Comment 12 Richard W.M. Jones 2009-01-25 08:26:23 EST
The package in comment 11 now builds for me in Rawhide
without needing autoreconf/libtoolize, so ...
Comment 13 Tim Lauridsen 2009-01-26 06:06:04 EST
* Sources matches upstream
     dc43ff7ae6aded45f578c87b7b0c8766 libxml2-2.7.2.tar.gz (upstream)
     dc43ff7ae6aded45f578c87b7b0c8766 libxml2-2.7.2.tar.gz (SRPM)

$ rpmlint mingw32-libxml2-2.7.2-5.fc11.src.rpm (SRPM)
    1 packages and 0 specfiles checked; 0 errors, 0 warnings.
    

$ rpmlint mingw32-libxml2-2.7.2-5.fc10.noarch.rpm (RPMS)
    mingw32-libxml2.noarch: W: no-documentation
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/doc/libxml2-2.7.2/html/tutorial/includeaddkeyword.c
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/doc/libxml2-2.7.2/html/tree1.c
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/doc/libxml2-2.7.2/html/tutorial/includexpath.c
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/xmlIO.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/relaxng.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/doc/libxml2-2.7.2/html/io1.c
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/xmlstring.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/doc/libxml2-2.7.2/examples/testXPath.c
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/entities.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/doc/libxml2-2.7.2/examples/testSAX.c
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/chvalid.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/valid.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/doc/libxml2-2.7.2/html/reader2.c
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/xmlautomata.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/doc/libxml2-2.7.2/html/reader4.c
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/xinclude.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/HTMLparser.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/xpathInternals.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/xpath.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/parserInternals.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/nanoftp.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/c14n.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/doc/libxml2-2.7.2/html/parse4.c
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/list.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/parser.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/xmlreader.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/xmlmemory.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/pattern.h
    mingw32-libxml2.noarch: E: script-without-shebang /usr/i686-pc-mingw32/sys-root/mingw/lib/libxml2.la
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/xmlschemas.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/DOCBparser.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/uri.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/doc/libxml2-2.7.2/examples/testHTML.c
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/encoding.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/threads.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/xmlregexp.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/xmlexports.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/doc/libxml2-2.7.2/html/tutorial/includekeyword.c
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/doc/libxml2-2.7.2/html/tutorial/includeconvert.c
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/HTMLtree.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/doc/libxml2-2.7.2/html/parse3.c
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/xmlsave.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/dict.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/xmlmodule.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/xmlwriter.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/doc/libxml2-2.7.2/html/tutorial/includegetattribute.c
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/hash.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/bin/xml2-config
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libxml2.dll.a
    mingw32-libxml2.noarch: W: spurious-executable-perm /usr/i686-pc-mingw32/sys-root/mingw/lib/libxml2.dll.a
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/doc/libxml2-2.7.2/html/xpath1.c
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/doc/libxml2-2.7.2/html/tree2.c
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/xmlversion.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/doc/libxml2-2.7.2/html/reader1.c
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/xmlerror.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/doc/libxml2-2.7.2/html/parse1.c
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/schemasInternals.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/pkgconfig/libxml-2.0.pc
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/debugXML.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/nanohttp.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/doc/libxml2-2.7.2/html/io2.c
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/xpointer.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/doc/libxml2-2.7.2/html/parse2.c
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/doc/libxml2-2.7.2/html/tutorial/includeaddattribute.c
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/schematron.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/tree.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/doc/libxml2-2.7.2/html/testWriter.c
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/SAX.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/globals.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/xlink.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/SAX2.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/xmlschemastypes.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/doc/libxml2-2.7.2/examples/xmllint.c
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/catalog.h
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/doc/libxml2-2.7.2/html/reader3.c
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/doc/libxml2-2.7.2/html/xpath2.c
    mingw32-libxml2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libxml2/libxml/xmlunicode.h
    mingw32-libxml2.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libxml2.dll.a
    mingw32-libxml2.noarch: W: non-standard-dir-in-usr i686-pc-mingw32
    1 packages and 0 specfiles checked; 2 errors, 78 warnings.
Comment 14 Tim Lauridsen 2009-01-26 06:09:27 EST
The rpmlint noise should be ok for a mingw32 package
https://fedoraproject.org/wiki/MinGW/Rpmlint
Comment 15 Tim Lauridsen 2009-01-26 06:18:47 EST
MUST:
* package is named according to the Package Naming Guidelines
    mingw32-*
* spec file name match base package
* package meet Packaging Guidelines .
* package is licensed with a Fedora approved license and meet the Licensing Guidelines
* License field match the actual license.
* available license(s) file(s) is included in %doc.
* spec file is written in American English. 
* spec file is legible. 
* package compile on x86
* build dependencies is listed in BuildRequires
* no locales
* no shared libs
* package not relocatable
* package own all directories that it creates.
* no duplicate files in the %files listing. 
* Permissions on files must be set properly. (%defattr(...) line)
* %clean section present and contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT)
* package is consistently using macros
* package contain code, or permissable content
* no large doc
* %doc does not affect runtime
* no headers
* no static libs
* available pkgconfig(.pc) files 'Requires: pkgconfig' 
* no *.so.* libs
* no -devel packages
* not a GUI app.
* no files or directories already owned by other packages.
* %install begins with rm -rf %{buildroot} (or $RPM_BUILD_ROOT)
* filenames is valid UTF-8

APPROVED.
Comment 16 Levente Farkas 2009-01-26 07:12:08 EST
this still not compile on epel as i wrote in #6, would you add aclocal before autoreconf:
----------------------------------------------
cd . && /bin/sh /home/lfarkas/rpm/BUILD/libxml2-2.7.2/missing --run aclocal-1.10 
/home/lfarkas/rpm/BUILD/libxml2-2.7.2/missing: line 46: aclocal-1.10: command not found
WARNING: `aclocal-1.10' is missing on your system.  You should only need it if
         you modified `acinclude.m4' or `configure.in'.  You might want
         to install the `Automake' and `Perl' packages.  Grab them from
         any GNU archive site.
cd . && /bin/sh /home/lfarkas/rpm/BUILD/libxml2-2.7.2/missing --run autoconf
 cd . && /bin/sh /home/lfarkas/rpm/BUILD/libxml2-2.7.2/missing --run automake-1.10 --gnu 
/home/lfarkas/rpm/BUILD/libxml2-2.7.2/missing: line 46: automake-1.10: command not found
WARNING: `automake-1.10' is missing on your system.  You should only need it if
         you modified `Makefile.am', `acinclude.m4' or `configure.in'.
         You might want to install the `Automake' and `Perl' packages.
         Grab them from any GNU archive site.
aclocal.m4:20: warning: this file was generated for autoconf 2.61.
You have another version of autoconf.  It may work, but is not guaranteed to.
If you have problems, you may need to regenerate the build system entirely.
To do so, use the procedure documented by the package, typically `autoreconf'.
configure.in:41: error: Autoconf version 2.60 or higher is required
aclocal.m4:7055: AM_INIT_AUTOMAKE is expanded from...
configure.in:41: the top level
autom4te: /usr/bin/m4 failed with exit status: 63
make: *** [configure] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.1386 (%build)
----------------------------------------------
Comment 17 Richard W.M. Jones 2009-01-26 07:22:12 EST
Thanks for looking at this package Tim.

(In reply to comment #16)
> this still not compile on epel as i wrote in #6, would you add aclocal before
> autoreconf:

Don't worry Levente, I'll sort this out when I check in/build
for EL-5.
Comment 18 Richard W.M. Jones 2009-01-26 07:23:51 EST
New Package CVS Request
=======================
Package Name: mingw32-libxml2
Short Description: MinGW Windows libxml2 XML processing library
Owners: rjones berrange lfarkas
Branches: F-10 EL-5
InitialCC:
Comment 19 Kevin Fenzi 2009-01-26 17:45:20 EST
cvs done.
Comment 20 Richard W.M. Jones 2009-01-28 07:11:31 EST
Built in Rawhide, F-10 and EL-5.
In response to comment 16 - Levente this built fine in EL-5.

I'll wait for the F-10 update before closing this bug.

Thanks to Tim and Kevin for working on this bug.
Comment 21 Fedora Update System 2009-01-29 18:01:58 EST
mingw32-libxml2-2.7.2-6.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.